//  Persistance of Vision Raytracer V2.2
//  World definition file.
//
//  Contains 2 lights, 15 textures and 18 primitives.
//
//  This file was generated for POV-Ray V2.2 by
//  MORAY.EXE V2.0.wat(c) 1991-1995 Lutz + Kretzschmar
//

//  Date : 05/07/1996    (07.05.1996)
//

#max_trace_level 5

//
//  This is the standard include file for POV-Ray. It is included with
//  every scene that Moray V2.0 exports for POV-Ray.
//





camera {  //  Camera Camera01
  location  <-5.500, -25.000, 8.100>
  direction <0.0,     0.0,  2.4880>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <1.069, -1.013, 2.357>
}

//    Other cameras are commented out.
/*
camera {  //  Camera SpotCam001
  location  <9.200, -3.600, 11.500> // Attached to SpotL001
  direction <0.0,     0.0,  0.8323>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <8.767, -3.350, 10.634> // Following SpotL001
}

*/

/*
camera {  //  Camera SpotCam002
  location  <0.000, -0.001, 11.700> // Attached to SpotL002
  direction <0.0,     0.0,  1.8665>
  sky       <0.0,     0.0,  1.0>  // Use right handed-system!
  up        <0.0,     0.0,  1.0>  // Where Z is up
  right     <1.3333,  0.0,  0.0>
  look_at   <0.000, 0.000, 10.700> // Following SpotL002
}

*/

// *******  L I G H T S *******
light_source {   // Spotlight SpotL002
  <0.000, 0.000, 11.700>
  color  rgb <1.000, 1.000, 1.000>
  spotlight
    point_at  <0.000, 0.000, 10.700>
    falloff   15.0  // outer radius (in deg)
      radius    7.5  // inner radius
}

light_source {   // Spotlight SpotL001
  <9.200, -3.600, 11.500>
  color  rgb <1.000, 1.000, 1.000>
  spotlight
    point_at  <8.767, -3.350, 10.634>
    falloff   31.0  // outer radius (in deg)
      radius    26.0  // inner radius
}


// ********  TEXTURES  *******
//

#include "jlglass.inc"



// ********  REFERENCED OBJECTS  *******



// ********  OBJECTS  *******





box { // Desk_Under_Top
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Ground_Textur1
  }
  scale 5.9
  rotate <40.0, -90.0, 0.0>
  translate  -6.0*z
}


box { // Table_Top
  <-1, -1, -1>, <1, 1, 1>
  texture {
    Ground_Texture
  }
  scale <0.2, 12.5, 8.2>
  rotate <40.0, -90.0, 0.0>
  translate  <-4.8, 3.3, 0.0>
}


merge { // Book2
  box { // Book_Cover2
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Book_Texture6
    }
    scale <0.8, 2.2, 3.0>
    rotate <20.0, -90.0, 0.0>
    translate  <-4.7, 3.5, 1.0>
  }
  cylinder { // Binder2
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 0.3, 6.3>
    rotate <20.0, -90.0, 0.0>
    translate  <-1.1, 2.3, 1.0>
  }
  texture {
    Book_Texture5
  }
  rotate 20.0*z
  translate  3.9*z
}


merge { // Book1
  box { // Book_Cover1
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Book_Texture7
    }
    scale <0.8, 2.2, 3.0>
    rotate <20.0, -90.0, 0.0>
    translate  <-4.7, 3.5, 1.0>
  }
  cylinder { // Binder1
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 0.3, 6.3>
    rotate <20.0, -90.0, 0.0>
    translate  <-1.1, 2.3, 1.0>
  }
  texture {
    Book_Texture4
  }
  translate  1.9*z
}


merge { // Book
  box { // Book_Cover
    <-1, -1, -1>, <1, 1, 1>
    texture {
      Book_Texture8
    }
    scale <0.8, 2.2, 3.0>
    rotate <20.0, -90.0, 0.0>
    translate  <-4.7, 3.5, 1.0>
  }
  cylinder { // Binder
    <0,0,1>, <0,0,0>, 1 
    scale <1.0, 0.3, 6.3>
    rotate <20.0, -90.0, 0.0>
    translate  <-1.1, 2.3, 1.0>
  }
  texture {
    Book_Texture3
  }
}




object { // Spell_Paper
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-3.069444, -5.456790, 0.000000>, <-1.534722, -5.456790, 0.000000>, <0.000000, -5.456790, 0.000000>, <1.534722, -5.456790, 0.390723>, 
      <-3.069444, -2.728395, 0.000000>, <-1.534722, -2.728395, 0.000000>, <0.000000, -2.728395, 0.000000>, <1.534722, -2.728395, 0.000000>, 
      <-3.199685, 0.000000, 0.390723>, <-1.534722, 0.000000, 0.000000>, <0.000000, 0.000000, 0.000000>, <1.534722, 0.000000, 0.000000>, 
      <-3.199685, 2.728395, 0.911687>, <-1.664963, 2.728395, 0.390723>, <0.000000, 2.728395, 0.000000>, <1.534722, 2.728395, 0.000000>
    }
  }
  texture {
    Spell_Texture
    scale <1.0, 1.7, 1.0>
  translate <-3.400000, -5.400000, 0.000000>
  }
  scale <1.0, 0.823529, 1.0>
  rotate -50.0*z
  translate  <0.9, -1.6, 0.2>
}


#declare Pillar = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.000000, 0.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <3.029929, -2.808739, 2.000000>, <3.029929, -3.808739, 2.000000>, <5.029929, -3.808739, 2.000000>, <5.029929, -2.808739, 2.000000>, 
      <-5.274167, 4.274167, 4.000000>, <-5.274167, 3.274167, 4.000000>, <-3.274167, 3.274167, 4.000000>, <-3.274167, 4.274167, 4.000000>, 
      <-1.732714, -0.122119, 6.000000>, <-1.732714, -1.122119, 6.000000>, <0.267286, -1.122119, 6.000000>, <0.267286, -0.122119, 6.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.000000, 0.000000, 0.000000>, <1.000000, 1.000000, 0.000000>, <-1.000000, 1.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, 
      <5.029929, -2.808739, 2.000000>, <5.029929, -1.808739, 2.000000>, <3.029929, -1.808739, 2.000000>, <3.029929, -2.808739, 2.000000>, 
      <-3.274167, 4.274167, 4.000000>, <-3.274167, 5.274167, 4.000000>, <-5.274167, 5.274167, 4.000000>, <-5.274167, 4.274167, 4.000000>, 
      <0.267286, -0.122119, 6.000000>, <0.267286, 0.877881, 6.000000>, <-1.732714, 0.877881, 6.000000>, <-1.732714, -0.122119, 6.000000>
    }
  }
  scale <0.066667, 0.066667, 0.466667>
  translate  <-0.733333, -2.333333, 0.6>
}
#declare Pillar1 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.000000, 0.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <3.029929, -2.808739, 2.000000>, <3.029929, -3.808739, 2.000000>, <5.029929, -3.808739, 2.000000>, <5.029929, -2.808739, 2.000000>, 
      <-5.274167, 4.274167, 4.000000>, <-5.274167, 3.274167, 4.000000>, <-3.274167, 3.274167, 4.000000>, <-3.274167, 4.274167, 4.000000>, 
      <-1.732714, -0.122119, 6.000000>, <-1.732714, -1.122119, 6.000000>, <0.267286, -1.122119, 6.000000>, <0.267286, -0.122119, 6.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.000000, 0.000000, 0.000000>, <1.000000, 1.000000, 0.000000>, <-1.000000, 1.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, 
      <5.029929, -2.808739, 2.000000>, <5.029929, -1.808739, 2.000000>, <3.029929, -1.808739, 2.000000>, <3.029929, -2.808739, 2.000000>, 
      <-3.274167, 4.274167, 4.000000>, <-3.274167, 5.274167, 4.000000>, <-5.274167, 5.274167, 4.000000>, <-5.274167, 4.274167, 4.000000>, 
      <0.267286, -0.122119, 6.000000>, <0.267286, 0.877881, 6.000000>, <-1.732714, 0.877881, 6.000000>, <-1.732714, -0.122119, 6.000000>
    }
  }
  scale <0.066667, 0.066667, 0.466667>
  translate  <0.4, -1.733333, 0.6>
}
#declare Pillar2 = union { 
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <-1.000000, 0.000000, 0.000000>, <-1.000000, -1.000000, 0.000000>, <1.000000, -1.000000, 0.000000>, <1.000000, 0.000000, 0.000000>, 
      <3.029929, -2.808739, 2.000000>, <3.029929, -3.808739, 2.000000>, <5.029929, -3.808739, 2.000000>, <5.029929, -2.808739, 2.000000>, 
      <-5.274167, 4.274167, 4.000000>, <-5.274167, 3.274167, 4.000000>, <-3.274167, 3.274167, 4.000000>, <-3.274167, 4.274167, 4.000000>, 
      <-1.732714, -0.122119, 6.000000>, <-1.732714, -1.122119, 6.000000>, <0.267286, -1.122119, 6.000000>, <0.267286, -0.122119, 6.000000>
    }
  }
  object {
    bicubic_patch { type 1 flatness 0.0100 u_steps 3 v_steps 3,
      <1.000000, 0.000000, 0.000000>, <1.000000, 1.000000, 0.000000>, <-1.000000, 1.000000, 0.000000>, <-1.000000, 0.000000, 0.000000>, 
      <5.029929, -2.808739, 2.000000>, <5.029929, -1.808739, 2.000000>, <3.029929, -1.808739, 2.000000>, <3.029929, -2.808739, 2.000000>, 
      <-3.274167, 4.274167, 4.000000>, <-3.274167, 5.274167, 4.000000>, <-5.274167, 5.274167, 4.000000>, <-5.274167, 4.274167, 4.000000>, 
      <0.267286, -0.122119, 6.000000>, <0.267286, 0.877881, 6.000000>, <-1.732714, 0.877881, 6.000000>, <-1.732714, -0.122119, 6.000000>
    }
  }
  scale <0.066667, 0.066667, 0.466667>
  rotate -170.0*z
  translate  <0.533333, -2.8, 0.6>
}
#declare Glass = blob {
  threshold 0.6
  component 1.0, 0.426592, <0.008439, 0.0, -0.008439>

  component 1.0, 0.426592, <0.008439, 0.0, 0.548523>

  texture {
    Hourglass_Texture
  }
  scale 2.5
  translate  <0.0, -2.3, 1.4>
}

union { // Hourglass
  cylinder { // Stand_Top
    <0,0,1>, <0,0,0>, 1 
    texture {
      Stand_Texture
    }
    scale <1.0, 1.0, 0.5>
    translate  <0.0, -2.3, 3.2>
  }
  cylinder { // Stand_Bottom
    <0,0,1>, <0,0,0>, 1 
    texture {
      Stand_Texture
    }
    scale <1.0, 1.0, 0.5>
    translate  <0.0, -2.3, 0.4>
  }
  object { Pillar }
  object { Pillar1 }
  object { Pillar2 }
  object { Glass }
  sphere { // Sand
    <0,0,0>,1
    texture {
      Sand_Texture
    }
    scale <0.4, 0.4, 0.266667>
    translate  <0.0, -2.333333, 1.2>
  }
  texture {
    Stand_Texture
  }
  scale 1.5
  translate  <6.4, 2.7, -0.4>
}


